Bug 716 - USB Wi-Fi card on RTL8188 chip can't connect to network
: USB Wi-Fi card on RTL8188 chip can't connect to network
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 17:59 MSD by Eugene Budanov
Modified: 2013-04-08 19:04 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Budanov 2012-08-29 17:59:41 MSD
We have device: 

lsusb output:

Bus 005 Device 007: ID 0846:9041 NetGear, Inc. WNA1000M 802.11bgn [Realtek RTL8188CUS]

In ROSA Marathon EE RP1 x86_64 that device see all wi-fi networks, connect to router, but there are no traffic at wlan0 interface. 

As found, this is upstream kernel bug which fixed in linux 3.5. Or we need proprioretary realtek driver for this chip.
Comment 1 Eugene Budanov 2012-09-11 18:05:38 MSD
Unfortunaly upgrading to 3.5.1 kernel won't fix the problem. 

http://blackundertone.wordpress.com/2012/06/ - this instruction not help me too.
Comment 2 Aleksandr Kazantcev 2012-09-11 19:42:44 MSD
Is wpa_supplicant latest? Try this package - it's not release QA procedure and not pushed in update for now:

https://abf.rosalinux.ru/build_lists/702021
https://abf.rosalinux.ru/build_lists/702022
Comment 3 Eugene Budanov 2013-04-07 17:56:21 MSD
Problem was solved by changing Wi-Fi card to other model.